# Mysql slave Skripte #

2 Helferlein für Mysql Slave Systeme.

Installation:

Man benötigt einen Mysql Client. Ich hatte daher die Skripte am Mysql-Slave unterhalb /root zu liegen.
Daher ist die Verbindung zum Slave ohne Passwort (wird aus der /root/.my.cnf gelesen).

Konfiguration:

Die *dist Datei ist einem umzukopieren und die Hostnamen und Root-Passwörter für master + Slave zu setzen.

Source: https://git-repo.iml.unibe.ch/iml-open-source/mysql-slave-scripts

Lizenz: PUBLIC DOMAIN

## Replikation neu aufsetzen ##

Aufruf:

reinit_mysql_replication.sh

Es gibt keine Parameter.

Wenn eine bestehende Mysql Replikation nicht mehr funktioniert, so half mir etliche
Male im Laufe des Webmaster/ Sysadmin Daseins das top-down-Skript weiter: es ...

* zeigt aktuellen Slave Status
* wartet dann auf ein RETURN, bevor die Replikation neu aufgesetzt wird

Aktionen zum Neuaufsetzen der Replikation: das Skript ...

* liest die Position des Binlog am Master
* sperrt den Master für Schreibaktionen
* holt aktuelle Datenbank-Dumps vom Master
* hebt Schreibsperre am Master auf
* stoppt den Slave
* importiert Dumps des Master auf dem Slave
* setzt am Slave binfile und Position
* startet den Slave

## Slave status ##

Aufruf:

show_slave_status.sh

Es gibt keine Parameter.


Das Skript show_slave_status.sh muss auf dem Slave liegen.
Es wird der mysql-Slave status angezeigt. Nach einer Trennlinie wird angezeigt, ob
die Slave Prozesse laufen. Ein abschliessendes OK oder Fehler zeigen schnell den
Status auf.

```
...
----------------------------------------------------------------------
             Slave_IO_Running: Yes
            Slave_SQL_Running: Yes
OK
```

